Bug 1374691 - edk2 package uses and bundles non-hobbled openssl tarball
Summary: edk2 package uses and bundles non-hobbled openssl tarball
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: edk2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All All
high
high
Target Milestone: ---
Assignee: Paolo Bonzini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-09-09 12:43 UTC by Robert Scheck
Modified: 2016-09-23 03:21 UTC (History)
7 users (show)

Fixed In Version: edk2-20160418gita8c39ba-5.fc25 edk2-20160418gita8c39ba-5.fc24 edk2-20160418gita8c39ba-5.fc23
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-13 18:07:55 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2016-09-09 12:43:25 UTC
Description of problem:
According to http://pkgs.fedoraproject.org/cgit/rpms/edk2.git/tree/edk2.spec
the edk2 package uses and bundles non-hobbled openssl tarball, which is IMHO
wrong: http://pkgs.fedoraproject.org/cgit/rpms/openssl.git/tree/openssl.spec
says: "We have to remove certain patented algorithms from the openssl source
tarball with the hobble-openssl script which is included below. The original 
openssl upstream tarball cannot be shipped in the .src.rpm."

http://pkgs.fedoraproject.org/cgit/rpms/edk2.git/tree/sources mentions the
md5sum, which is clearly a non-hobbled openssl tarball. I guess this means
somebody from Fedora infrastructure needs to remove the uploaded files from
the cache, too.

From my understanding it does not matter if we don't use the patented parts
etc., but shipping the source code is not possible as well - that's why the
openssl package contains hobbled sources.

Version-Release number of selected component (if applicable):
edk2-20160418gita8c39ba-4.fc25
edk2-20160418gita8c39ba-4.fc24
edk2-20160418gita8c39ba-4.fc23

How reproducible:
Everytime, see above and below.

Actual results:
edk2 package uses and bundles non-hobbled openssl tarball

Expected results:
edk2 package should either use system openssl libraries or a hobbled tarball

Additional info:
Given the package bundles the openssl library that is packaged, shouldn't
https://fedoraproject.org/wiki/Bundled_Libraries apply here with a provides
on RPM level for tracking purposes?

Comment 1 Fedora Update System 2016-09-09 16:05:03 UTC
edk2-20160418gita8c39ba-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cc8329cd4

Comment 2 Fedora Update System 2016-09-09 16:05:17 UTC
edk2-20160418gita8c39ba-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-29b3fe3b84

Comment 3 Fedora Update System 2016-09-09 16:05:25 UTC
edk2-20160418gita8c39ba-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52e9682393

Comment 4 Robert Scheck 2016-09-09 16:07:48 UTC
Is there also already an infrastructure ticket to delete the non-hobbled
files from the Koji upload cache?

Comment 5 Tom "spot" Callaway 2016-09-09 18:56:59 UTC
https://fedorahosted.org/fedora-infrastructure/ticket/5472

Comment 6 Fedora Update System 2016-09-10 06:49:11 UTC
edk2-20160418gita8c39ba-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1cc8329cd4

Comment 7 Fedora Update System 2016-09-10 06:52:08 UTC
edk2-20160418gita8c39ba-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-29b3fe3b84

Comment 8 Fedora Update System 2016-09-10 07:57:15 UTC
edk2-20160418gita8c39ba-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52e9682393

Comment 9 Fedora Update System 2016-09-13 18:07:49 UTC
edk2-20160418gita8c39ba-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-09-13 22:20:50 UTC
edk2-20160418gita8c39ba-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-23 03:21:52 UTC
edk2-20160418gita8c39ba-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.